package cmm.service;


import java.io.IOException;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import egovframework.rte.fdl.cmmn.exception.EgovBizException;
import egovframework.rte.fdl.cmmn.exception.FdlException;


public interface CmmBbsService {
    int selectCmmBbsListTotCnt(CmmBbsVO cmmBbsVO) throws EgovBizException;
	List<CmmBbsVO> selectCmmBbsList(CmmBbsVO cmmBbsVO) throws EgovBizException;
	List<CmmBbsVO> selectCmmBbsTopList(CmmBbsVO cmmBbsVO) throws EgovBizException;
	List<CmmBbsVO> selectCmmBbsCnList(CmmBbsVO cmmBbsVO) throws EgovBizException;
	List<CmmBbsVO> selectCmmBbsMainList(CmmBbsVO cmmBbsVO) throws EgovBizException;
	CmmBbsVO selectCmmBbsDetail(CmmBbsVO cmmBbsVO) throws EgovBizException;
	List<CmmBbsVO> selectPrevNextCmmBbsDetailList(CmmBbsVO cmmBbsVO) throws EgovBizException;
	String insertCmmBbs(CmmBbsVO cmmBbsVO, HttpServletRequest request) throws IOException, FdlException, EgovBizException;
	void updateCmmBbs(CmmBbsVO cmmBbsVO, HttpServletRequest request) throws IOException, EgovBizException;
	void deleteCmmBbs(CmmBbsVO cmmBbsVO, HttpServletRequest request) throws EgovBizException;
	
	void updateLocalCultureRecommend(CmmBbsVO cmmBbsVO) throws EgovBizException;
}
